Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface Jif

All Superinterfaces:
  java.lang.Cloneable, polyglot.util.Copy, polyglot.ast.Ext

All Known Subinterfaces:
  JifFieldDeclExt, JifProcedureDeclExt

All Known Implementing Classes:
  Jif_c, JifArrayAccessAssignExt, JifArrayAccessExt, JifArrayInitExt, JifAssignExt, JifBinaryExt, JifBlockExt, JifBranchExt, JifCallExt, JifCaseExt, JifCastExt, JifCheckedEndorseStmtExt, JifClassBodyExt, JifClassDeclExt, JifConditionalExt, JifConstructorCallExt, JifConstructorDeclExt, JifDeclassifyExprExt, JifDeclassifyStmtExt, JifDoExt, JifDowngradeExprExt, JifDowngradeStmtExt, JifEmptyExt, JifEndorseExprExt, JifEndorseStmtExt, JifEvalExt, JifExprExt, JifFieldAssignExt, JifFieldDeclExt_c, JifFieldExt, JifForExt, JifFormalExt, JifIfExt, JifInitializerExt, JifInstanceofExt, JifLabeledExt, JifLabelExprExt, JifLiteralExt, JifLocalAssignExt, JifLocalDeclExt, JifLocalExt, JifMethodDeclExt, JifNewArrayExt, JifNewExt, JifPrincipalExprExt, JifPrincipalNodeExt, JifProcedureDeclExt_c, JifReturnExt, JifSourceFileExt, JifSpecialExt, JifStmtExt_c, JifSwitchExt, JifSynchronizedExt, JifThrowExt, JifTryExt, JifUnaryExt, JifWhileExt

    public interface Jif

extends polyglot.ast.Ext

This class represents a Jif extension node. It is the root of all the Jif extension node classes.

Method Summary
`void` | `integerBoundsCalculated()` A method that is called to notify the extension that the numeric bounds have been calculated.
`polyglot.ast.Node` | `labelCheck(LabelChecker lc)` Label check the node to which this extension is attached.
`ToJavaExt` | `toJava()`
`Jif` | `toJava(ToJavaExt toJava)`
`PathMap` | `X()` Gets the path map of this extension.
`Jif` | `X(PathMap X)` Returns a copy of this object with the path map updated.

Methods inherited from interface polyglot.ast.Ext
`dump, ext, ext, init, node`

Methods inherited from interface polyglot.util.Copy
`copy`

Method Detail

### toJava

    ToJavaExt toJava()

### toJava

    Jif toJava(ToJavaExt toJava)

### X

    PathMap X()

  Gets the path map of this extension.

### X

    Jif X(PathMap X)

  Returns a copy of this object with the path map updated.

### labelCheck

    polyglot.ast.Node labelCheck(LabelChecker lc)
                                 throws polyglot.types.SemanticException

  Label check the node to which this extension is attached.

  Throws:
    `polyglot.types.SemanticException`

### integerBoundsCalculated

    void integerBoundsCalculated()

  A method that is called to notify the extension that the numeric bounds have been calculated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD